/*
	File: SHTERM.C
	Project: TERM Program in "C" for the SMART HOSTESS
	Author: Lori Slater
	Date: December 21, 1987
*/

#include <stdio.h>

main()
{
	int i;
	int pnum;
	int cnt;
	char buf[80];

	fprintf(stderr,"Comm Port Number (0-7): ");
	gets(buf);					/* get comm port */
	sscanf(buf,"%d",&pnum);
	system("cls");					/* clear screen */
	fprintf(stderr,"Comm Port Number %d\t\t\t\t\tHit F10 to Quit\n",
	pnum);

	if (!shopen(pnum))
	{
		fprintf(stderr,"Can't open port %d\n",pnum);
		exit(0);
	}

	while (0 == 0)					/* infinite loop */
	{
		/* attempt to read char from device and write to screen */
		if ((cnt = shread(buf,80,pnum)) > 0)
			for (i=0;i<cnt;i+=2)
			{
				if (buf[i] == 015)	    /* CR = CRLF */
					fprintf(stderr,"\n");
				else if (buf[i] != 012)		/* not LF */
					putc(buf[i],stderr);
			}

		/* attempt to read char from keyboard and write to device */
		if ((bdos(11,0,0)&0377) == 0xFF)	/* if char waiting */
		{
			buf[0] = bdos(8,0,0) & 0377;	/* read keybd char */
			if ((buf[0] == NULL) && 	/* 2 char key */
			((bdos(11,0,0)&0377) == 0xff))
			{
				buf[1] = bdos(8,0,0) & 0377;	/* next */
				if (buf[1] == 0x44)	/* F10 = quit */
					break;
				else	shwrite(buf,2,pnum);
			}
			else if (buf[0] == 015)		/* CR = CRLF */
			{
				buf[1] = 012;
				shwrite(buf,2,pnum);
			}
			else if (buf[0] != 012)		/* not LF */
				shwrite(buf,1,pnum);
		}
	}
	shclose(pnum);
}
